Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update support customer

PATCH/workspaces/{organizationId}/support/customers/{customerId}
Path parameters
organizationIdstringrequired
customerIdstringrequired
Request body
application/json
emailstring<email>
fullNamestring
phonestring
userIdstring
externalIdstring
externalSourcestring
Responses
200Customer updated
customerobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestringrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/support/customers/string" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "fullName": "string",
  "phone": "string",
  "userId": "string",
  "externalId": "string",
  "externalSource": "string"
}'
Response
{
  "customer": {
    "id": "string",
    "organizationId": "string",
    "userId": "string",
    "externalId": "string",
    "externalSource": "string",
    "email": "string",
    "fullName": "string",
    "phone": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "companies": [
      {
        "id": "string",
        "customerId": "string",
        "companyId": "string",
        "name": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ],
    "identities": [
      {
        "id": "string",
        "customerId": "string",
        "type": "email",
        "subType": "string",
        "value": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ]
  }
}